regina::LayeredLoop Class Reference
Standard Triangulations and Subcomplexes

Represents a layered loop component of a triangulation. More...

`#include <subcomplex/layeredloop.h>`

Inheritance diagram for regina::LayeredLoop:

## Public Member Functions

virtual | ~LayeredLoop ()
| Destroys this layered loop. More...
LayeredLoop * | clone () const
| Returns a newly created clone of this structure. More...
unsigned long | length () const
| Returns the length of this layered loop. More...
bool | isTwisted () const
| Determines if this layered loop contains a twist. More...
Edge< 3 > * | hinge (int which) const
| Returns the requested hinge edge of this layered loop. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static LayeredLoop * | isLayeredLoop (const Component< 3 > *comp)
| Determines if the given triangulation component is a layered loop. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Represents a layered loop component of a triangulation.

A layered loop is a layered chain of n tetrahedra whose bottom tetrahedron is layered onto its top tetrahedron to form a complete loop. See the LayeredChain class notes for a description of a layered chain.

To make a layered chain into a layered loop, the bottom faces of the first tetrahedron will be layered upon the top faces of the last tetrahedron, completing the loop. At this stage there is a choice. The layering can be done in the usual fashion, or there may be a twist in which the upper square (the bottom faces of the first tetrahedron) is rotated 180 degrees before being layered on the lower annulus (the top faces of the last tetrahedron).

If there is a twist, the two hinge edges become identified and the entire component has a single vertex. If there is no twist, the two hinge edges remain distinct (and disjoint) and the entire component has two vertices.

The length of the layered loop is the number of tetrahedra it contains. A layered loop must contain at least one tetrahedron.

All optional StandardTriangulation routines are implemented for this class.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/layeredloop.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).